package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 并发锁,目前没有redis,使用这个
 * @TableName lock
 */
@TableName(value ="lock")
@Data
public class Lock implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 锁
     */
    private String lockCode;

    /**
     * 时间戳
     */
    private Long timestamp;

    /**
     * 超时毫秒数
     */
    private Long expireMs;

    /**
     * 线程ID,以支持重入
     */
    private String threadId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}